---
lang: en
title: 'API docs: rest.valuevalidationoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.valuevalidationoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ValueValidationOptions](./rest.valuevalidationoptions.md)

## ValueValidationOptions interface

Options for any value validation using AJV

**Signature:**

```typescript
export interface ValueValidationOptions extends ValidationOptions 
```
**Extends:** [ValidationOptions](./rest.validationoptions.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[name?](./rest.valuevalidationoptions.name.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_ Parameter name, as provided in `ParameterObject#name` property.


</td></tr>
<tr><td>

[source?](./rest.valuevalidationoptions.source.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_ Where the data comes from. It can be 'body', 'path', 'header', 'query', 'cookie', etc...


</td></tr>
</tbody></table>

